com.io7m.r2.meshes.binary.r2mb

## Class R2MBTriangleByteBuffered

- java.lang.Object
- - com.io7m.r2.meshes.binary.r2mb.R2MBTriangleByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, R2MBTriangleReadableType, R2MBTriangleType, R2MBTriangleWritableType

      public final class R2MBTriangleByteBuffered
      extends Object
      implements R2MBTriangleType

  A `ByteBuffer` based implementation of the `R2MBTriangle` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getV0()`
    `int` | `getV1()`
    `int` | `getV2()`
    `int` | `metaV0OffsetFromCursor()`
    `int` | `metaV0OffsetFromType()`
    `static int` | `metaV0StaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaV0Type()`
    `int` | `metaV1OffsetFromCursor()`
    `int` | `metaV1OffsetFromType()`
    `static int` | `metaV1StaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaV1Type()`
    `int` | `metaV2OffsetFromCursor()`
    `int` | `metaV2OffsetFromType()`
    `static int` | `metaV2StaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaV2Type()`
    `static R2MBTriangleType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static R2MBTriangleType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setV0(int x)` Set the value of the `v0` field
    `void` | `setV1(int x)` Set the value of the `v1` field
    `void` | `setV2(int x)` Set the value of the `v2` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static R2MBTriangleType newValueWithOffset(ByteBuffer in_buffer,
                                                            com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                            int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static R2MBTriangleType newValue(ByteBuffer in_buffer,
                                                  com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaV0OffsetFromType

          public int metaV0OffsetFromType()

      Specified by:
        `metaV0OffsetFromType` in interface `R2MBTriangleReadableType`
      Returns:
        The offset in octets of the `v0` field, from the start of the type

    - #### metaV0StaticOffsetFromType

          public static int metaV0StaticOffsetFromType()

      Returns:
        The offset in octets of field `v0` from the start of the type

    - #### metaV0OffsetFromCursor

          public int metaV0OffsetFromCursor()

      Specified by:
        `metaV0OffsetFromCursor` in interface `R2MBTriangleReadableType`
      Returns:
        The offset in octets of the `v0` field, from the cursor

    - #### metaV0Type

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaV0Type()

      Specified by:
        `metaV0Type` in interface `R2MBTriangleReadableType`
      Returns:
        The type of the `v0` field

    - #### getV0

          public int getV0()

      Specified by:
        `getV0` in interface `R2MBTriangleReadableType`
      Returns:
        The value of the `v0` field

    - #### setV0

          public void setV0(int x)

      Description copied from interface: `R2MBTriangleWritableType`
      Set the value of the `v0` field
      Specified by:
        `setV0` in interface `R2MBTriangleWritableType`
      Parameters:
        `x` - The new value

    - #### metaV1OffsetFromType

          public int metaV1OffsetFromType()

      Specified by:
        `metaV1OffsetFromType` in interface `R2MBTriangleReadableType`
      Returns:
        The offset in octets of the `v1` field, from the start of the type

    - #### metaV1StaticOffsetFromType

          public static int metaV1StaticOffsetFromType()

      Returns:
        The offset in octets of field `v1` from the start of the type

    - #### metaV1OffsetFromCursor

          public int metaV1OffsetFromCursor()

      Specified by:
        `metaV1OffsetFromCursor` in interface `R2MBTriangleReadableType`
      Returns:
        The offset in octets of the `v1` field, from the cursor

    - #### metaV1Type

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaV1Type()

      Specified by:
        `metaV1Type` in interface `R2MBTriangleReadableType`
      Returns:
        The type of the `v1` field

    - #### getV1

          public int getV1()

      Specified by:
        `getV1` in interface `R2MBTriangleReadableType`
      Returns:
        The value of the `v1` field

    - #### setV1

          public void setV1(int x)

      Description copied from interface: `R2MBTriangleWritableType`
      Set the value of the `v1` field
      Specified by:
        `setV1` in interface `R2MBTriangleWritableType`
      Parameters:
        `x` - The new value

    - #### metaV2OffsetFromType

          public int metaV2OffsetFromType()

      Specified by:
        `metaV2OffsetFromType` in interface `R2MBTriangleReadableType`
      Returns:
        The offset in octets of the `v2` field, from the start of the type

    - #### metaV2StaticOffsetFromType

          public static int metaV2StaticOffsetFromType()

      Returns:
        The offset in octets of field `v2` from the start of the type

    - #### metaV2OffsetFromCursor

          public int metaV2OffsetFromCursor()

      Specified by:
        `metaV2OffsetFromCursor` in interface `R2MBTriangleReadableType`
      Returns:
        The offset in octets of the `v2` field, from the cursor

    - #### metaV2Type

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaV2Type()

      Specified by:
        `metaV2Type` in interface `R2MBTriangleReadableType`
      Returns:
        The type of the `v2` field

    - #### getV2

          public int getV2()

      Specified by:
        `getV2` in interface `R2MBTriangleReadableType`
      Returns:
        The value of the `v2` field

    - #### setV2

          public void setV2(int x)

      Description copied from interface: `R2MBTriangleWritableType`
      Set the value of the `v2` field
      Specified by:
        `setV2` in interface `R2MBTriangleWritableType`
      Parameters:
        `x` - The new value

Copyright © 2017 <code@io7m.com> http://io7m.com